# Fish configuration file

if ! status --is-interactive
    exit
end

if test -e /etc/profile
  and type -q bass
    bass source /etc/profile
end

# Configuration for terminal / unix:
set -x LC_CTYPE en_US.UTF-8
set -x LC_ALL en_US.UTF-8

if test (uname) != "Darwin"
    set -x TERM xterm-256color
end

# Creation mask
umask 022

# Theme configuration (bobthefish):
set -g theme_newline_cursor yes
set -g theme_newline_prompt "\$ "
set -g theme_color_scheme zenburn
set -g VIRTUAL_ENV_DISABLE_PROMPT 1

# Python configuration:
set -x PYTHONIOENCODING UTF-8
set -xg WORKON_HOME $HOME/.envs
set -xg MYPYPATH $HOME/.mypy

# Aliases
if test (uname) != "Darwin"
    alias ls='ls --color=auto'
    alias ll='ls -lh'
    alias la='ls -A'
    alias l='ls -CF'
    alias rm='rm -i --preserve-root'
else
    alias rm='rm -i'
end
